/* Driver */
//  Aurasound Cougar
midDiam = 35.7;
midRad = midDiam/2;
midDepth = 19.25;
/* Truncated square flange */
midFlangeOffsetRear = 7.15;
midFlangeW = 38.7;
midFlangeThick = 2.1; /* 2.5; */
midFlangeRad = 49.8/2; /* radius of rounded corners */

/* Drawn for clearance for internal cabinet mount */
module driver1Clear()
{
  gasketThick = .1;
  /* 2" driver */
  midDiamC = midDiam+0.8;
  midRadC = midDiamC/2;
  midDepthC = midDepth+8;
  /* Truncated square flange */
  midFlangeWC = midFlangeW+0.8;
  midFlangeThickC = midFlangeOffsetRear+midFlangeThick+gasketThick; /* 2.5; */
  midFlangeRadC = midFlangeRad+0.4;

  translate([0,0,-midDepth])
  {
    cylinder(midDepthC, midRadC, midRadC, $fn=360);
  
  
    difference() 
    { 
      translate([-midFlangeWC/2, -midFlangeWC/2, 0])
      {
        cube([midFlangeWC, midFlangeWC, midFlangeThickC]);
      }
      difference() 
      {   
        cylinder(midDepthC, 60, 60, 360);
        cylinder(midDepthC, midFlangeRadC, midFlangeRadC, 360);
      }
      
    }
  }
} 




module driver1()
{
    /* 1" driver */


    translate([0,0,-midDepth])
    {
    cylinder(midDepth, midRad, midRad, $fn=360);


    difference() 
        { 
        translate([-midFlangeW/2, -midFlangeW/2, midFlangeOffsetRear])
            cube([midFlangeW, midFlangeW, midFlangeThick]);
        difference() 
            {   
            cylinder(midDepth, 60, 60, 360);
            cylinder(midDepth, midFlangeRad, midFlangeRad, 360);
            }
        }
    }
} 